with GNATCOM.Dispinterface;

package MSHTML.IHTMLStyleElement_Interface is

   type IHTMLStyleElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLStyleElement_Type);

   function Pointer (This : IHTMLStyleElement_Type)
     return Pointer_To_IHTMLStyleElement;

   procedure Attach (This    : in out IHTMLStyleElement_Type;
                     Pointer : in     Pointer_To_IHTMLStyleElement);

   procedure Put_type
     (This : IHTMLStyleElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_type
     (This : IHTMLStyleElement_Type)
     return GNATCOM.Types.BSTR;

   function Get_readyState
     (This : IHTMLStyleElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_onreadystatechange
     (This : IHTMLStyleElement_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onreadystatechange
     (This : IHTMLStyleElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onload
     (This : IHTMLStyleElement_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onload
     (This : IHTMLStyleElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onerror
     (This : IHTMLStyleElement_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onerror
     (This : IHTMLStyleElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_styleSheet
     (This : IHTMLStyleElement_Type)
     return Pointer_To_IHTMLStyleSheet;

   procedure Put_disabled
     (This : IHTMLStyleElement_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_disabled
     (This : IHTMLStyleElement_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   procedure Put_media
     (This : IHTMLStyleElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_media
     (This : IHTMLStyleElement_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLStyleElement_Interface;

